Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Новый драйвер Nvidia позволяет загружаться в Recovery mode, а в нормальном- нет  (Прочитано 322 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AlekseyUbuntu

  • Автор темы
  • Активист
  • *
  • Сообщений: 292
    • Просмотр профиля
Kubuntu 18.10 x64, Geforce GTX 560 ti, Nvidia 390.87 (скачал с офф.сайта)

Решил по этой инструкции накатить новые драйвера к моей видео- карточке (использовал раздел "Установка драйвера с официального сайта Nvidia (сборка из исходников)").

1. Не работает п4:"Перейдите в консоль сочетанием клавиш Ctrl-Alt-F1, введите логин и пароль своего пользователя;". При  нажатии этого сочетания НИЧЕГО не происходит.
2. При вводе команды sudo service lightdm stop получаю:
Цитировать
Failed to stop lightdm service: Unit lightm.service not load
3. При запуске самого драйвера сразу получаю сообщение (но установку возможно продолжить):
Цитировать
The distribution- provider pre-install script failed! Are you sure you want to continue?

В результате установки можно загрузиться только в рекавери мод, причем новый драйвер отлично работает (что видно по nvidia- settings)!

Как побороть гидру?
« Последнее редактирование: 24 Январь 2019, 19:12:45 от AlekseyUbuntu »

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
При  нажатии этого сочетания НИЧЕГО не происходит.
потому что инструкция немного устарела. Начиная с 18.04 tty#1 (Ctrl+Alt+F1) - это и есть графический сеанс. Пробуйте Ctrl+Alt+F{2, 3, 4, ...}
sudo service lightdm stop
Англоязычные ресурсы говорят, что с недавних версий корректно sudo systemctl stop gdm3
При запуске самого драйвера сразу получаю сообщение
Вот на этом моменте я бы на Вашем месте остановился и задумался: а так ли сильно нужен драйвер именно из исходников? Чем плоха версия из PPA самой системы или PPA производителя?
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн AlekseyUbuntu

  • Автор темы
  • Активист
  • *
  • Сообщений: 292
    • Просмотр профиля
В обоих ppa старый драйвер (340.107). Мне один производитель ПО, которое у меня не работает, пишет, что их ПО разработано для более позднего драйвера (384.19 и выше). Поэтому и обновляюсь.
« Последнее редактирование: 24 Январь 2019, 21:53:08 от AlekseyUbuntu »

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2786
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 20.10
    • Просмотр профиля
zg_nico, AlekseyUbuntu, на Kubuntu 18.10 - sddm, примите во внимание.
Я странен, а не странен кто ж? (С)

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
в обоих PPA старый драйвер 340.107
Эм... Откуда такая информация?! Сами же пишете, что
Kubuntu 18.10 x64
Вывод однострочника echo "Ядро: "`uname -r`; cat /etc/issue.net; echo "Текущий модуль ядра N-Vidia:"; modinfo nvidia | egrep "(filename|version)";echo "---"; ubuntu-drivers devicesпосмотрите у себя
У меня вот (никакие сторонние репозитории не подключал - стоит драйвер из PPA системы):Ядро: 4.15.0-43-generic
Ubuntu 18.04.1 LTS
Текущий модуль ядра N-Vidia:
filename:       /lib/modules/4.15.0-43-generic/updates/dkms/nvidia.ko
version:        396.54
srcversion:     CDDF5F6229BAD6360A195B1
---
== /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0 ==
modalias : pci:v000010DEd0000139Bsv00001558sd00001501bc03sc00i00
vendor   : NVIDIA Corporation
model    : GM107M [GeForce GTX 960M]
driver   : nvidia-driver-390 - distro non-free
driver   : nvidia-driver-396 - third-party free recommended
driver   : xserver-xorg-video-nouveau - distro free builtin
Версия, доступная в репозитории самой системы (минимальная): 390. У меня стоит 396. При этом уже 390 > 384. Или я чего-то не понимаю?!

Пользователь добавил сообщение 24 Январь 2019, 22:09:17:
на Kubuntu 18.10
Сорри. Тогда команда в ответе #1 заведомо обречена на неисполнение.
sudo systemctl stop sddm.serviceилиsudo systemctl stop sddmЯ не уверен  :'(
« Последнее редактирование: 24 Январь 2019, 22:09:17 от zg_nico »
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн DimanBG

  • Старожил
  • *
  • Сообщений: 1279
    • Просмотр профиля
Мне один производитель ПО, которое у меня не работает, пишет, что их ПО разработано для более позднего драйвера (384.19 и выше). Поэтому и обновляюсь.
Такой версии - 384.19 вообще нет у Нвидиа - https://www.nvidia.ru/object/linux-amd64-display-archive-ru.html
И новые версии драйвера для новых моделей карт с новыми возможностями. Наверно ПО требует не столько драйвер, а сколько железо, на котором оно будет работать. Видимо твой металлолом в этот список не входит. Без разницы, что драйвер новой версии будет, железка то всё равно не умеет или слаба.
Что за ПО то? 

Оффлайн AlekseyUbuntu

  • Автор темы
  • Активист
  • *
  • Сообщений: 292
    • Просмотр профиля
Что за ПО то?

Любопытной Варваре на базаре нос оторвали :)


Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Любопытной Варваре на базаре нос оторвали
Напрасно Вы так. Как только конкретизируете запрос - так сразу будут и реальные советы. До этих пор будет просто "вода", и вряд ли что-то более. Если Вам CUDA нужна (для того же hashcat или blender) - то это одна эпопея, если игра какая не стартует - то другая. Для CUDA, кстати, одного драйвера мало, - там дополнительные пакеты нужны.
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн AlekseyUbuntu

  • Автор темы
  • Активист
  • *
  • Сообщений: 292
    • Просмотр профиля
Всем спасибо!

zg_nico написал, что предыдущая методика устарела, поэтому я решил не лечить старый вариант, а взять новый. Все взлетело в автоматическом режиме, причем репозиторий показал наличие более нового 390.87 драйвера!

Пользователь добавил сообщение 25 Январь 2019, 09:51:30:
Любопытной Варваре на базаре нос оторвали
Напрасно Вы так. Как только конкретизируете запрос - так сразу будут и реальные советы. До этих пор будет просто "вода", и вряд ли что-то более. Если Вам CUDA нужна (для того же hashcat или blender) - то это одна эпопея, если игра какая не стартует - то другая. Для CUDA, кстати, одного драйвера мало, - там дополнительные пакеты нужны.

Ок, мальчики: я решил сдавать свое железо в аренду пока пишу код с помощью платформы SONM . У меня такой план: пока пишу программу сдаю свои мощности в аренду. Ну, а когда напишу, то с помощью накопленных денег выкупаю те же мощности и моя программа захватывает мир :)
« Последнее редактирование: 25 Январь 2019, 09:51:30 от AlekseyUbuntu »

 

Страница сгенерирована за 0.14 секунд. Запросов: 22.